Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006396OCamlOCaml typingpublic2014-05-06 18:202015-12-03 14:32
Reporterfrisch 
Assigned Tofrisch 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.02.0+dev 
Target Version4.03.0+dev / +beta1Fixed in Version4.03.0+dev / +beta1 
Summary0006396: Warnings-as-errors not properly flushed in the toplevel
DescriptionConsider:

$ ocaml -w +A -warn-error +A 
        OCaml version 4.02.0+dev5-2014-04-29

# class c = object   method x = 1   end;;
class c : object method x : int end
# class e = object inherit c  method x = 3 method f = 1 + "x" end;;
Warning 7: the method x is overridden.
Error: This expression has type string but an expression was expected of type
         int
# ();;
Error: Some fatal warnings were triggered (1 occurrences)


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015009)
frisch (developer)
2015-12-03 14:32

Fixed by commit 837bcd6.

- Issue History
Date Modified Username Field Change
2014-05-06 18:20 frisch New Issue
2014-05-21 17:40 doligez Target Version => 4.03.0+dev / +beta1
2014-06-04 21:23 doligez Status new => confirmed
2014-06-04 21:23 doligez Product Version => 4.02.0+dev
2015-12-03 14:32 frisch Note Added: 0015009
2015-12-03 14:32 frisch Status confirmed => resolved
2015-12-03 14:32 frisch Fixed in Version => 4.03.0+dev / +beta1
2015-12-03 14:32 frisch Resolution open => fixed
2015-12-03 14:32 frisch Assigned To => frisch


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker